​

Get list of fields

GET
https://example.kaiten.ru/api/latest/company/custom-directories/{directory_id}/fields
Path parameters
NameTypeReference
directory_idrequiredstringDirectory ID
Headers
NameValue
Content-Typeapplication/json
Query
NameTypeConstraintsDescription
include_authorbooleanInclude author user object
conditionsarray of stringsFilter by condition values: active | inactive | removed
Responses

200
DescriptionResponse typeExample
SuccessArray of objects
Open
Response Attributes
NameTypeDescription
id

string

Field ID (UUID)
name

string

Field name
type

enum

Field type
required

boolean

Required flag
is_display

boolean

Display field flag
401
DescriptionResponse typeExample
Invalid tokenString
Open

A schema has not been defined for this response code.

404
DescriptionResponse typeExample
Not foundObject
Open

A schema has not been defined for this response code.

logo
Kaiten
If you have any questions or need help with integration feel free to write us at support@kaiten.io

Path Parameters

  1  curl --request GET \
  2       --url 'https://example.kaiten.ru/api/latest/company/custom-directories/{directory_id}/fields' \
  3       --header 'Accept: application/json' \
  4       --header 'Content-Type: application/json'
  5      

Response

ClickTry It!to start a request and see the response here!